KHT_VERSION = "v"..GetAddOnMetadata("KHunterTimers", "Version")
local _

-- Specializations
KHT_SPECIAL = "Enable 'Specialization' Timers"
KHT_ASPECT_EAGLE = GetSpellInfo(186289)			-- Aspect of the Eagle
KHT_ASPECT_WILD = GetSpellInfo(193530)			-- Aspect of the Wild
KHT_BEAST_CLEAVE = GetSpellInfo(115939)			-- Beast Cleave
KHT_BESTIAL_WRATH = GetSpellInfo(19574)			-- Bestial Wrath
KHT_BURST_SHOT = GetSpellInfo(186387)			-- Bursting Shot
KHT_CONCUSS_SHOT = GetSpellInfo(5116)			-- Concussive Shot
KHT_COUNTER_SHOT = GetSpellInfo(147362)			-- Counter Shot
KHT_DIRE_BEAST = GetSpellInfo(120679)			-- Dire Beast
KHT_EXPLOSIVE_TRAP = GetSpellInfo(191433)		-- Explosive Trap
KHT_FREEZING_TRAP = GetSpellInfo(187650)		-- Freezing Trap
KHT_HARPOON = GetSpellInfo(190925)				-- Harpoon
KHT_LACERATE = GetSpellInfo(185855)			-- Lacerate
KHT_MISDIRECTION = GetSpellInfo(34477)			-- Misdirection
KHT_MONGOOSE_FURY = GetSpellInfo(190931)		-- Mongoose Fury
KHT_MUZZLE = GetSpellInfo(187707)				-- Muzzle
KHT_SURVIVALIST = GetSpellInfo(164856)			-- Survivalist
KHT_TAR_TRAP = GetSpellInfo(187698)			-- Tar Trap
KHT_TRUESHOT = GetSpellInfo(288613)			-- Trueshot
KHT_WING_CLIP = GetSpellInfo(195645)			-- Wing Clip

-- Azerite Powers
KHT_AZERITE = "Enable 'Azerite Power' Timers";
KHT_DAGGER_BACK = GetSpellInfo(280284)			-- Dagger in the Back

-- Talents
KHT_TALENT = "Enable 'Talent' Timers"
KHT_MURDER_CROWS = GetSpellInfo(131894)			-- A Murder of Crows
KHT_BESTIAL_CUNNING = GetSpellInfo(191397)		-- Bestial Cunning
KHT_BESTIAL_FEROCITY = GetSpellInfo(191413)		-- Bestial Ferocity
KHT_BESTIAL_TENACITY = GetSpellInfo(191414)		-- Bestial Tenacity
KHT_BINDING_SHOT = GetSpellInfo(109248)			-- Binding Shot
KHT_BLACK_ARROW = GetSpellInfo(194599)			-- Black Arrow
KHT_CALTROPS = GetSpellInfo(194277)			-- Caltrops
KHT_CAMO = GetSpellInfo(199483)				-- Camouflage
KHT_CAREFUL_AIM = GetSpellInfo(53238)			-- Careful Aim
KHT_CARVE = GetSpellInfo(187708)				-- Carve
KHT_BARBED_SHOT = GetSpellInfo(217200)			-- Barbed Shot
KHT_DRAGON_GRENADE = GetSpellInfo(194855)		-- Dragonsfire Grenade
KHT_INTIM = GetSpellInfo(24394)				-- Intimidation
KHT_LOCK_LOAD = GetSpellInfo(194595)			-- Lock and Load
KHT_MOKNATHAL = GetSpellInfo(201081)			-- Mok'Nathal Tactics
KHT_PET_INTIM = "Pet "..GetSpellInfo(19577)		-- Pet Intimidation
KHT_POSTHASTE = GetSpellInfo(118922)			-- Posthaste
KHT_RANGERS_NET = GetSpellInfo(200108)			-- Ranger's Net
KHT_SERPENT_STING = GetSpellInfo(118253)		-- Serpent Sting
KHT_SPITTING_COBRA = GetSpellInfo(194407)		-- Spitting Cobra
KHT_STAMPEDE = GetSpellInfo(201430)			-- Stampede
KHT_STEADY_FOCUS = GetSpellInfo(193533)			-- Steady Focus
KHT_STEEL_TRAP = GetSpellInfo(162488)			-- Steel Trap
KHT_STICKY_BOMB = GetSpellInfo(191241)			-- Sticky Bomb
KHT_TRUE_AIM = GetSpellInfo(199527)			-- True Aim
KHT_WYVERN = GetSpellInfo(19386)				-- Wyvern Sting

-- Common
KHT_COMMON = "Enable 'Common' Timers"
KHT_AUTO_SHOT = GetSpellInfo(75)				-- Auto Shot
KHT_ARCANE_TORRENT = GetSpellInfo(25046)		-- Arcane Torrent
KHT_ASPECT_CHEETAH = GetSpellInfo(186257)		-- Aspect of the Cheetah
KHT_ASPECT_TURTLE = GetSpellInfo(186265)		-- Aspect of the Turtle
KHT_BERSERKING = GetSpellInfo(26297)			-- Berserking
KHT_BLOOD_FURY = GetSpellInfo(20572)			-- Blood Fury
KHT_BLOODLUST = GetSpellInfo(2825)				-- Bloodlust
KHT_FLARE = GetSpellInfo(1543)				-- Flare
KHT_HEROISM = GetSpellInfo(32182)				-- Heroism
KHT_MEND_PET = GetSpellInfo(136)				-- Mend Pet
KHT_STONEFORM = GetSpellInfo(20594)			-- Stoneform
KHT_TIME_WARP = GetSpellInfo(80353)			-- Time Warp
KHT_WAR_STOMP = GetSpellInfo(20549)			-- War Stomp

-- Pets
KHT_PETS = "Enable 'Pet' Timers"
KHT_ANKLE_CRACK = GetSpellInfo(50433)			-- Ankle Crack
KHT_DASH = GetSpellInfo(61684)				-- Dash
KHT_LAST_STAND = GetSpellInfo(53478)			-- Last Stand
KHT_MONSTROUS_BITE = GetSpellInfo(54680)		-- Monstrous Bite
KHT_ROAR_SACRIFICE = GetSpellInfo(53480)		-- Roar of Sacrifice
KHT_SHELL_SHIELD = GetSpellInfo(26064)			-- Shell Shield
KHT_SPIRIT_MEND = GetSpellInfo(90361)			-- Spirit Mend
KHT_WARP_TIME = GetSpellInfo(35346)			-- Warp Time
KHT_FRENZY = GetSpellInfo(272790)				-- Frenzy

KHT_TRINKETS = "Enable 'Trinket' Timers";

--Other
KHT_STING = "Sting";
KHT_AURA = "aura";
KHT_PRIMED = "primed";
KHT_DONE = "Done!"

--Status Text---------------------------------------
KHT_ON = "on";
KHT_OFF = "off";
--Slash Text
KHT_SLASH_HELP = {
	[1] = "Kharthus's Hunter Timers "..KHT_VERSION,
	[2] = "Commands: /kht",
	[3] = "/kht "..KHT_ON.."/"..KHT_OFF,
	[4] = "/kht menu (bring up the gui menu)",
	[5] = "/kht reset (resets all the visible bars)",
	[6] = "/kht resetpos (resets the bar frame position)",
	[7] = "/kht delay <time> (time is in milliseconds)",
	[8] = "/kht flash <timeleft> (timeleft in seconds to flash the bar, 0 for off)",
	[9] = "/kht step <step> (higher step means faster flashing when time is low)",
	[10] = "/kht barcolor r g b (where r, g, b are between 0 and 1)",
	[11] = "/kht barendcolor r g b (where r, g, b are between 0 and 1)",
	[12] = "/kht setbgcolor r g b a (where r, g, b, a are between 0 and 10)",
	[13] = "/kht colorchange "..KHT_ON.."/"..KHT_OFF.." (color change feature)",
	[14] = "/kht up/down (cascade bars up or down)",
	[15] = "/kht scale % (/kht scale 100 = 100% scale)",
	[16] = "/kht lock/unlock (lock or unlock the frame)",
	[17] = "/kht status",
	[18] = "/kht clear all (resets all options to defaults)",
	[19] = "/kht debug (debug info for testing purposes)"
};
KHT_STATUS_STRINGS = {
	[1] = "|cFFFFFF00Kharthus's Hunter Timers "..KHT_VERSION.."|r",
	[2] = "|cFFFFFF00Status:|r %s",
	[3] = "|cFFFFFF00Shot delay:|r %dms", 
	[4] = "|cFFFFFF00Flash time:|r %ds |cFFFFFF00Step:|r %f",
	[5] = "|cFFFFFF00Barcolor:|r %s |cFFFFFF00Barcolorend:|r %s",
	[6] = "|cFFFFFF00Colorchange:|r %s |cFFFFFF00Growth:|r %s",
	[7] = "|cFFFFFF00Scale:|r %d%%"
};

KHT_OPTIONS_COLOR_CHANGE = "Color Change";
KHT_OPTIONS_MILI = "ms";
KHT_OPTIONS_LOCK = "Lock";
KHT_OPTIONS_BAR_DIST = "Distance Between Bars";
KHT_OPTIONS_SCALE = "Scale";
KHT_OPTIONS_FLASH = "Flash Time";
KHT_OPTIONS_STEP = "Flash Step";
KHT_OPTIONS_BARSTART = "Bar Start Color";
KHT_OPTIONS_BAREND = "Bar End Color";
KHT_OPTIONS_BACKDROP = "Backdrop Color";
KHT_OPTIONS_TIMERS_TEXT = "Timers";
KHT_OPTIONS_BARS_TEXT = "Bars";
KHT_OPTIONS_DECIMALS = "Decimals";
KHT_OPTIONS_SHOT_DELAY = "Shot Delay";
KHT_OPTIONS_SHOW_TEX = "Show Textures";
KHT_OPTIONS_LARGE_TEX = "Large Textures";
KHT_OPTIONS_APPEND = "Append Target";
KHT_OPTIONS_BORDER = "Border Color";
KHT_OPTIONS_TEXT_COLOR = "Text Color";
KHT_OPTIONS_TIME_COLOR = "Time Color";
KHT_OPTIONS_TARGET_COLOR = "Target Text Color";
KHT_OPTIONS_OVERALL_OPACITY = "Overall Opacity";
KHT_OPTIONS_HIDE_TEXT = "Hide Text";
KHT_OPTIONS_HIDE_TIME = "Hide Time";
KHT_OPTIONS_HIDE_GAP = "Hide Gap";
KHT_OPTIONS_BAR_THICKNESS = "Bar Thickness";
KHT_OPTIONS_HIDE_PADDING = "Hide Padding";
KHT_OPTIONS_STICKY = "Sticky Auto Shot";
KHT_OPTIONS_DOWN = "Cascade Bars Down";
KHT_OPTIONS_TEXTURE = "Bar Texture";

--Options moved to globals because they dealt with other variables
